Auth
Rotate the session
Issues a new access token and rotates the refresh token. Reusing an already rotated token revokes the whole token family.
Cookie Parameters
Request Body
application/json
Body is optional: the refresh token normally arrives in an HttpOnly cookie.
refresh_token?string|null
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/auth/refresh" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "tokens": { "access_token": "string", "expires_at": "2019-08-24T14:15:22Z", "expires_in": 0, "refresh_token": "string", "token_type": "bearer" }, "user": { "active_merchant": { "category": "string", "city": "string", "currency": "string", "data_source": "SEEDED", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_demo": false, "logo_url": "string", "name": "string", "slug": "string" }, "memberships": [ { "is_default": false, "joined_at": "2019-08-24T14:15:22Z", "merchant": { "category": "string", "city": "string", "currency": "string", "data_source": "SEEDED", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_demo": false, "logo_url": "string", "name": "string", "slug": "string" }, "role": "string", "status": "string" } ], "permissions": [ "string" ], "role": "string", "user": { "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "email": "user@example.com", "email_verified": false, "full_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_login_at": "2019-08-24T14:15:22Z", "phone": "string", "status": "string" } } }, "meta": {}, "success": true}